<template>
  <div>
    <div class="wallet-grid amount">
      <div>
        <div class="label">ULUS amount</div>
        <el-input
          border
          v-model="form.amount"
          v-mask="{
            alias: 'numeric',
            groupSeparator: ',',
            autoGroup: true,
            digits: 2,
            allowMinus: false
          }"
        >
          <svg-icon name="ULUS" width="22" height="18" slot="prefix" />
        </el-input>
      </div>
      <div>
        <div class="label">
          {{ $t('exchange_rate') }}
          <el-tooltip
            effect="ulu"
            placement="top"
            :content="$t('exchange_rate_tooltip')"
          >
            <svg-icon name="info" fill="#0065ff" width="24" height="24" />
          </el-tooltip>
        </div>
        <ExchangeRate :amount="form.amount" />
      </div>
    </div>

    <div class="wallet-grid">
      <div>
        <div class="label">Send to</div>
        <el-select v-model="form.selectedItem">
          <el-option
            class="flex"
            value="MasterCard ****7366"
            label="MasterCard ****7366"
          >
            <span>MasterCard ****7366</span>
            <svg-icon
              name="close"
              class="delete-card"
              @click="modals.widthdrawal = !modals.widthdrawal"
            />
          </el-option>
          <el-option value="Add bank card" label="Add bank card">
            <div @click="modals.widthdrawal = !modals.widthdrawal">
              Add bank card
            </div>
          </el-option>
          <el-option value="Bitcoin" label="Bitcoin" />
          <el-option
            value="Ethereum"
            label="Ethereum"
            @blur="modals.widthdrawal = !modals.widthdrawal"
          />
        </el-select>
      </div>
      <div>
        <Button
          variant="none"
          border="primary"
          size="small"
          class="btn-space"
          @click="modals.widthdrawal = !modals.widthdrawal"
        >
          Send money
          <svg-icon name="arrow-line" class="icon-radius" />
        </Button>
      </div>
    </div>

    <Transactions :where="{}" />

    <portal to="modal">
      <Modal v-model="modals.widthdrawal">
        <template slot="title">Widthdrawal</template>
        <template slot="description" class="blue bold">ULUS to USD</template>
        <template slot="info">Note: Bank transfer 72 hours max</template>
        <div class="modal__input">
          <el-input border line v-model="form.amount">
            <svg-icon name="ULUS" width="22" height="18" slot="prefix" />
          </el-input>
        </div>
        <div class="modal__input">
          <el-input border line v-model="form.amount">
            <template slot="prefix">$</template>
          </el-input>
        </div>
        <Button size="small" @click="modals.widthdrawal = !modals.widthdrawal">
          Create contract
          <svg-icon name="arrow-line" class="icon-radius" />
        </Button>
      </Modal>
    </portal>
  </div>
</template>

<script lang="ts">
import { defineComponent, ref, reactive } from '@nuxtjs/composition-api'

import elSelect from '@/components/element/Select.vue'
import elOption from '@/components/element/Option.vue'

import Button from '@/components/ui/Button.vue'

import elTooltip from '@/components/element/Tooltip.vue'
import elInput from '@/components/element/Input.vue'

import Modal from '@/components/ui/Modal.vue'
import ExchangeRate from '@/components/profile/wallet/ExchangeRate.vue'
import Transactions from '@/components/profile/wallet/Transactions.vue'

export default defineComponent({
  name: 'WalletWidthdrawalPage',
  components: {
    ExchangeRate,
    Modal,
    Transactions,
    elTooltip,
    Button,
    elInput,
    elSelect,
    elOption
  },
  setup() {
    const form = reactive({
      selectedItem: 'MasterCard ****7366',
      amount: 0
    })

    const modals = ref({
      widthdrawal: false
    })

    return {
      modals,
      form
    }
  }
})
</script>

<style lang="scss" scoped>
.wallet-grid {
  display: grid;
  grid-template-columns: 1fr;
  grid-gap: 30px 24px;
  align-items: flex-end;
  margin-bottom: 30px;

  @media (min-width: 1199.98px) {
    grid-template-columns: 1fr 1fr;
    margin-bottom: 70px;
  }

  &.amount {
    // grid-template-columns: 0.3fr 1fr;
    grid-template-columns: 1fr;
    @media (min-width: 1199.98px) {
      grid-template-columns: 1fr 1fr;
    }
  }

  .label {
    font-weight: bold;
    font-size: 18px;
    line-height: 23px;
    letter-spacing: 0.9px;
    color: #8591ad;
    text-transform: uppercase;
    margin-bottom: 20px;
    display: flex;
    align-items: center;

    svg {
      margin-left: 12px;
    }
  }
}
</style>
